# Class DefaultServlet.Range

java.lang.Object
org.apache.catalina.servlets.DefaultServlet.Range

Enclosing class:
  `DefaultServlet`

protected static class DefaultServlet.Range extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`end`
`long`
`length`
`long`
`start`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Range()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`validate()`
Validate range.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### start

public long start

### end

public long end

### length

public long length

## Constructor Details

### Range

protected Range()

## Method Details

### validate

public boolean validate()
Validate range.

Returns:
  true if the range is valid, otherwise false